#ifndef SKYBOXMATERIAL_H
#define SKYBOXMATERIAL_H

#include "material.h"

class Texture;

class SkyBoxMaterial : public Material
{
public:
    typedef enum {TOP, BOTTOM, LEFT, RIGHT, FRONT, BACK, NB_TEXTURES} DirEnum;

    SkyBoxMaterial(Shader* myShader) : Material(myShader) {}
    virtual void bindAttributes();
    void setTexture(Texture* myTexture, DirEnum direction);
    std::string getDirName(DirEnum direction);

private:
    Texture* skyboxTex[NB_TEXTURES];
};

#endif // SKYBOXMATERIAL_H
